Bug 1167379 - (CVE-2020-6816) VUL-1: CVE-2020-6816: python-bleach: prone to a mutation XSS vulnerability in bleach.clean
(CVE-2020-6816)
VUL-1: CVE-2020-6816: python-bleach: prone to a mutation XSS vulnerability in...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.1
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/255514/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-23 08:08 UTC by Robert Frohl
Modified: 2021-04-18 01:16 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Frohl 2020-03-23 08:08:42 UTC
CVE-2020-6816

It was reported that python-bleach, a whitelist-based HTML-sanitizing
library, is prone to a mutation XSS vulnerability in bleach.clean when
strip=False and math or svg tags and one or more of the RCDATA tags
were whitelisted.
For the stable distribution (buster), this problem has been fixed in
version 3.1.2-0+deb10u1.
We recommend that you upgrade your python-bleach packages.
For the detailed security status of python-bleach please refer to its
security tracker page at:
https://security-tracker.debian.org/tracker/python-bleach

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-6816
http://www.debian.org/security/-1/dsa-4643
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=954236
Comment 2 Dirk Mueller 2020-03-23 10:10:15 UTC
this seems to be fixed in 3.1.2 or newer.
Comment 3 Dirk Mueller 2020-03-23 10:42:14 UTC
so I submitted 3.1.3 to factory. when that is accepted there, we could submit that as a maintenance update for leap 15.x
Comment 4 Swamp Workflow Management 2020-03-23 11:00:05 UTC
This is an autogenerated message for OBS integration:
This bug (1167379) was mentioned in
https://build.opensuse.org/request/show/787398 Factory / python-bleach
Comment 5 Dirk Mueller 2020-03-31 10:42:32 UTC
submitted as an update to Leap 15.1 Update
Comment 6 Swamp Workflow Management 2020-03-31 11:20:09 UTC
This is an autogenerated message for OBS integration:
This bug (1167379) was mentioned in
https://build.opensuse.org/request/show/790090 15.1 / python-bleach
Comment 8 Swamp Workflow Management 2020-03-31 21:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1167379) was mentioned in
https://build.opensuse.org/request/show/790350 Factory / python-bleach
Comment 9 Swamp Workflow Management 2020-04-01 12:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1167379) was mentioned in
https://build.opensuse.org/request/show/790549 Factory / python-bleach
Comment 10 Andreas Stieger 2021-04-13 10:08:07 UTC
looks like this is done.
Comment 11 Andreas Stieger 2021-04-13 10:42:54 UTC
Actually see SR#884912
Comment 12 OBSbugzilla Bot 2021-04-13 11:10:04 UTC
This is an autogenerated message for OBS integration:
This bug (1167379) was mentioned in
https://build.opensuse.org/request/show/884912 15.2 / python-bleach
Comment 13 Swamp Workflow Management 2021-04-14 19:15:36 UTC
openSUSE-SU-2021:0552-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1167379,1168280,1184547
CVE References: CVE-2020-6816,CVE-2020-6817,CVE-2021-23980
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    python-bleach-3.1.5-lp152.2.3.1
Comment 14 Andreas Stieger 2021-04-14 19:33:59 UTC
for Leap 15.3: openSUSE:Backports:SLE-15-SP3/python-bleach
https://build.opensuse.org/request/show/885464
otherwise done.
Comment 15 Swamp Workflow Management 2021-04-18 01:16:07 UTC
openSUSE-SU-2021:0571-1: An update that fixes three vulnerabilities is now available.

Category: security (important)
Bug References: 1167379,1168280,1184547
CVE References: CVE-2020-6816,CVE-2020-6817,CVE-2021-23980
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP2 (src):    python-bleach-3.1.5-bp152.2.4.1